import { AnnotationLayer } from "./AnnotationLayer";
import { ValueLayerValueMode } from "./ValueLayerValueMode";
import { Brush } from "igniteui-react-core";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { Type, Point } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { ValueLayerFrame } from "./ValueLayerFrame";
import { List$1 } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { DoubleCollection } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ValueLayer extends AnnotationLayer {
    static $t: Type;
    protected bj(): Series;
    protected get_et(): boolean;
    constructor();
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    protected z4: ValueLayerView;
    z3: ValueLayerValueMode;
    acs: Brush;
    act: Brush;
    aaw: string;
    gu(a: Series): boolean;
    z1: Series;
    aat: string;
    zw: Axis;
    z8: boolean;
    z5: boolean;
    zx: (item: any) => string;
    zy: (item: any) => string;
    acw: Brush;
    acu: Brush;
    aab: number;
    aan: number;
    acv: Brush;
    get ac2(): Thickness;
    aad: number;
    aaf: number;
    aae: number;
    aac: number;
    get ac3(): Thickness;
    aaj: number;
    aal: number;
    aak: number;
    aai: number;
    aag: number;
    acz: Brush;
    acx: Brush;
    aah: number;
    aao: number;
    acy: Brush;
    aam: number;
    ac5: Visibility;
    ac4: Visibility;
    z7: boolean;
    private zv;
    private zz;
    private z0;
    mc(): string;
    protected get_isSummarizationSupported(): boolean;
    i5(a: Point, b: boolean, c: boolean): number;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    protected yn(a: Series, b: boolean): void;
    protected yp(a: Frame, b: SeriesView): void;
    private abq;
    protected xg(a: Series): boolean;
    protected z6(a: Axis): boolean;
    qn(): void;
    private z2;
    protected w0(): AnnotationAppearanceMode;
    protected xn(): number;
    protected xq(): number;
    protected xp(): number;
    protected zm(): DoubleCollection;
    protected zn(): DoubleCollection;
    private ac0;
    private ac1;
    private abs;
    private abr;
    private aaa;
    private z9;
    protected abt(a: ValueLayerFrame, b: boolean): void;
    private abp;
    protected ys(a: Frame, b: SeriesView): void;
    protected ga(): boolean;
    protected q7(a: any, b: string, c: any, d: any): void;
    o5(a: boolean, b: SeriesView): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: ValueLayer);
    protected b7: ValueLayer;
    b8: Pool$1<Path>;
    protected b9: List$1<Path>;
    au(): void;
    private ch;
    private ca;
    private cc;
    private cb;
    cd(a: Path, b: number, c: number, d: number): void;
    ce(a: Brush, b: number): Brush;
    cg(a: Brush, b: number): Brush;
    cf(a: Brush, b: number): Brush;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
